PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT > Struct Template Reference
Inheritance diagram for plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >:
[legend]
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >:
[legend]

## Public Member Functions
| EnergyLevelsData (EnergyLevels::EnumType which, FreeCarrierGainSolver2D< GeometryT > *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh, InterpolationMethod interp)
std::vector< double > | at (size_t i) const override
Public Member Functions inherited from plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >
void | setupFromAxis (const shared_ptr< MeshAxis > &axis)
| DataBase (FreeCarrierGainSolver2D< GeometryT > *solver, const shared_ptr< const MeshD< 2 > > &dst_mesh)
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DT >
virtual | ~LazyDataImpl ()
virtual DT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DT > | claim () const

## Public Attributes
size_t | which
std::vector< LazyData< double > > | temps
Public Attributes inherited from plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >
FreeCarrierGainSolver2D< GeometryT > * | solver
| Solver.
std::vector< shared_ptr< MeshAxis > > | regpoints
| Points in each active region.
shared_ptr< const MeshD< 2 > > | dest_mesh
| Destination mesh.
InterpolationFlags | interpolation_flags
| Interpolation flags.

## Additional Inherited Members
Public Types inherited from plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::DataBase< GeometryT >
typedef FreeCarrierGainSolver2D< GeometryT >::ActiveRegionParams | ActiveRegionParams
Public Types inherited from plask::LazyDataImpl< DT >
typedef DT | CellType

## Detailed Description

template<typename GeometryT>
template<typename GeometryT>
struct plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >

Definition at line 431 of file freecarrier2d.cpp.

## Constructor & Destructor Documentation

## ◆ EnergyLevelsData()

template<typename GeometryT >
template<typename GeometryT >

plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >::EnergyLevelsData | ( | EnergyLevels::EnumType | which,
|  | FreeCarrierGainSolver2D< GeometryT > * | solver,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh,
|  | InterpolationMethod | interp
| ) |  |
| inline

Definition at line 437 of file freecarrier2d.cpp.

## Member Function Documentation

## ◆ at()

template<typename GeometryT >
template<typename GeometryT >

std::vector< double > plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >::at | ( | size_t | i | ) | const
| inline override

Definition at line 451 of file freecarrier2d.cpp.

## Member Data Documentation

## ◆ temps

template<typename GeometryT >
template<typename GeometryT >

std::vector<LazyData<double> > plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >::temps

Definition at line 435 of file freecarrier2d.cpp.

## ◆ which

template<typename GeometryT >
template<typename GeometryT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver2D< GeometryT >::EnergyLevelsData< GeometryT >::which

Definition at line 434 of file freecarrier2d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier2d.cpp